io.vertx.ext.auth

## Class KeyStoreOptions

- java.lang.Object
- - io.vertx.ext.auth.KeyStoreOptions

- Deprecated.
  Keystores are very opinionated and do not properly represent a correct key, please use PEM files or JWKs

      @Deprecated
      public class KeyStoreOptions
      extends Object

  Options describing how an JWT KeyStore should behave.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreOptions()` Deprecated. Default constructor
    `KeyStoreOptions(JsonObject json)` Deprecated. Constructor to create an options from JSON
    `KeyStoreOptions(KeyStoreOptions other)` Deprecated. Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassword()` Deprecated.
    `String` | `getPath()` Deprecated.
    `String` | `getType()` Deprecated.
    `KeyStoreOptions` | `setPassword(String password)` Deprecated.
    `KeyStoreOptions` | `setPath(String path)` Deprecated.
    `KeyStoreOptions` | `setType(String type)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreOptions

          public KeyStoreOptions()

      Deprecated.
      Default constructor

    - #### KeyStoreOptions

          public KeyStoreOptions(KeyStoreOptions other)

      Deprecated.
      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### KeyStoreOptions

          public KeyStoreOptions(JsonObject json)

      Deprecated.
      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getType

          public String getType()

      Deprecated.

    - #### setType

          public KeyStoreOptions setType(String type)

      Deprecated.

    - #### getPath

          public String getPath()

      Deprecated.

    - #### setPath

          public KeyStoreOptions setPath(String path)

      Deprecated.

    - #### getPassword

          public String getPassword()

      Deprecated.

    - #### setPassword

          public KeyStoreOptions setPassword(String password)

      Deprecated.

Copyright © 2021 Eclipse. All rights reserved.